YAML::Nodes::Node - Crystal 1.10.0

# abstract class YAML::Nodes::Node

- YAML::Nodes::Node
- Reference
- Object

##
Overview

Abstract class of all YAML tree nodes.

##
Direct Known Subclasses

- YAML::Nodes::Alias
- YAML::Nodes::Document
- YAML::Nodes::Mapping
- YAML::Nodes::Scalar
- YAML::Nodes::Sequence

##
Defined in:

yaml/nodes/nodes.cr

##
Instance Method Summary

- #anchor : String | Nil

  The optional anchor of a node.

- #anchor=(anchor : String | Nil)

  The optional anchor of a node.

- #end_column : Int32

  The column where this node ends.

- #end_column=(end_column : Int32)

  The column where this node ends.

- #end_line : Int32

  The line where this node ends.

- #end_line=(end_line : Int32)

  The line where this node ends.

- #kind : String

  Returns the kind of this node, which is equivalent to the class name.

- #location : Tuple(Int32, Int32)

  Returns a tuple of `#start_line` and `#start_column`.

- #raise(message) : NoReturn

  Raises a `YAML::ParseException` with the given message located at this node's `#location`.

- #start_column : Int32

  The column where this node starts.

- #start_column=(start_column : Int32)

  The column where this node starts.

- #start_line : Int32

  The line where this node starts.

- #start_line=(start_line : Int32)

  The line where this node starts.

- #tag : String | Nil

  The optional tag of a node.

- #tag=(tag : String | Nil)

  The optional tag of a node.

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def anchor : String | Nil #

The optional anchor of a node.

def anchor=(anchor : String | Nil) #

The optional anchor of a node.

def end_column : Int32 #

The column where this node ends.

def end_column=(end_column : Int32) #

The column where this node ends.

def end_line : Int32 #

The line where this node ends.

def end_line=(end_line : Int32) #

The line where this node ends.

abstract def kind : String #

Returns the kind of this node, which is equivalent to the class name.

def location : Tuple(Int32, Int32) #

Returns a tuple of `#start_line` and `#start_column`.

def raise(message) : NoReturn #

Raises a `YAML::ParseException` with the given message located at this node's `#location`.

def start_column : Int32 #

The column where this node starts.

def start_column=(start_column : Int32) #

The column where this node starts.

def start_line : Int32 #

The line where this node starts.

def start_line=(start_line : Int32) #

The line where this node starts.

def tag : String | Nil #

The optional tag of a node.

def tag=(tag : String | Nil) #

The optional tag of a node.